Package ru.bitel.bgbilling.modules.tv.common.event

# Class TvAccountModifyEvent

java.lang.Object
ru.bitel.bgbilling.kernel.base.server.logger.BGLogger
ru.bitel.bgbilling.kernel.event.common.Event
ru.bitel.bgbilling.kernel.event.common.QueueEvent
ru.bitel.bgbilling.kernel.event.common.LocalEvent
ru.bitel.bgbilling.modules.tv.common.event.TvAccountModifyEvent

All Implemented Interfaces:
  `Serializable`, `ErrorReturnableEvent`

public class TvAccountModifyEvent extends ru.bitel.bgbilling.kernel.event.common.LocalEvent implements ErrorReturnableEvent
Событие вызывается в момент правки аккаунта договора. Возможно изменение его параметров.

See Also:
  - Serialized Form

- ## Field Summary

  ### Fields inherited from class ru.bitel.bgbilling.kernel.event.common.Event

  `CONTRACT_GLOBAL, NO_MODULE, NO_PLUGIN`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TvAccountModifyEvent(int moduleId, int userId, TvAccount oldTvAccount, TvAccount newTvAccount)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getError()`
  Возвращает ошибку при правке аккаунта.
  `TvAccount`
  `getNewTvAccount()`
  Возвращает изменяемый аккаунт договора.
  `TvAccount`
  `getOldInetServ()`
  Deprecated.
  `TvAccount`
  `getOldTvAccount()`
  Возвращает предыдущее значение изменяемого аккаунта договора.
  `void`
  `setError(String error)`
  Устанавливает ошибку при правке аккаунта.

  ### Methods inherited from class ru.bitel.bgbilling.kernel.event.common.Event

  `getContractId, getDestination, getGenerateTime, getMessageID, getModuleId, getPluginId, getSource, getSuperContractId, getTime, getTimestamp, getTypeId, getUserId, isLogFunctionProcess, prepareMessage, serializeAsObject, setLogFunctionProcess, setMessageID, setSource, toString, toString`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.base.server.logger.BGLogger

  `error, error, error, getLogger, logError, logError, warn`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### TvAccountModifyEvent

    public TvAccountModifyEvent(int moduleId, int userId, TvAccount oldTvAccount, TvAccount newTvAccount)

- ## Method Details

  - ### getNewTvAccount

    public TvAccount getNewTvAccount()
    Возвращает изменяемый аккаунт договора.
    Returns:

  - ### getOldTvAccount

    public TvAccount getOldTvAccount()
    Возвращает предыдущее значение изменяемого аккаунта договора.
    Returns:

  - ### getOldInetServ

    @Deprecated public TvAccount getOldInetServ()
    Deprecated.
    Возвращает предыдущее значение изменяемого аккаунта договора.
    Returns:

  - ### getError

    public String getError()
    Возвращает ошибку при правке аккаунта. При наличие ошибки правка отменяется.
    Specified by:
      `getError` in interface `ErrorReturnableEvent`
    Overrides:
      `getError` in class `ru.bitel.bgbilling.kernel.event.common.LocalEvent`
    Returns:

  - ### setError

    public void setError(String error)
    Устанавливает ошибку при правке аккаунта.
    Specified by:
      `setError` in interface `ErrorReturnableEvent`
    Overrides:
      `setError` in class `ru.bitel.bgbilling.kernel.event.common.LocalEvent`
    Parameters:
      `error` -